	%MATLAB Script-File: ZULA1_Stell1.m
	%Analoge Zustands-Lageregelung
	%Stellgre in Abhngigkeit von TES
	clf

	TM=0.02; KS1=0.3; KS2=1;

	for i=1:3
   t=0:0.0001:0.02;
	TES=[0.0015 0.003 0.006];	%Stellgliedzeitkonstante
	A=[0, 1, 0,
   0, -1/TM, KS2/TM,
   0, 0, -1/TES(i)];
	B=[0, 0; 0, -KS2/TM; KS1/TES(i), 0];
	spZ=-396.3;
	poleZ=[spZ, spZ, spZ];
	rR=acker(A,B(:,1),poleZ);
	rR=-rR;
   cT=[rR(1), rR(2), rR(3)];	%Stellgre
   AR=A+B(:,1)*rR;

	%Zustandsmodell der Regelung (Fhrungsverhalten)
	vw=-rR(1);						%Fhrungsgrenvorfilter
   ZU_REG=ss(AR,vw*B(:,1),cT,vw);
	yf=step(ZU_REG,t);
	subplot(211), plot(t,yf), hold on, grid on
	title('Stellgrenverlauf bei Fhrungssprungfunktion')
	xlabel('t/s')
	axis([0, 0.02, -5000, 25000])

	%Zustandsmodell der Regelung (Strverhalten)
	ZU_REG_S=ss(AR,B(:,2),cT,0);
	ys=step(ZU_REG_S,t);
	subplot(212), plot(t,ys), hold on, grid on
	title('Stellgrenverlauf bei Strungssprungfunktion')
	xlabel('t/s')
	axis([0, 0.02, 0, 8])
	end
