%MATLAB Script-File dbeat_167.m
%DEAD-BEAT-Regelung fr sprungfrmige Fhrungsgren
KS=5;TS=1;TI=2;                         %Parameter IT1-Strecke
T=0.6;                                  %Abtastzeit
for i=1:2
  T=i*T;                                %Abtastzeit
  %Zhler- und Nennerpolynom von GHS(z):
  numdGHS=[T/TS-1+exp(-T/TS), 1-(T/TS+1)*exp(-T/TS)];
  numdGHS=numdGHS*KS*TS/TI;
  dendGHS=[1, -(1+exp(-T/TS)), exp(-T/TS)];
  dGHS=tf(numdGHS,dendGHS,T);	          %GHS(z)
  
  %Zhler- und Nennerpolynom von GR(z):
  numdGR=[TI/KS, -exp(-T/TS)*TI/KS]; %Zhlerpolynom von GR(z)
  dendGR=[T*(1-exp(-T/TS)), TS-(T+TS)*exp(-T/TS)];
  dGR=tf(numdGR,dendGR,T);		          %GR(z)
  %Zhler- und Nennerpolynom von GRS(z) und G(z):
  GRS=dGR*dGHS; 				          %GRS(z)
  dG=feedback(GRS,1);                     %G(z)
  
  %Zhler- und Nennerpolynom von Gy(z)=y(z)/w(z):
  dGy=feedback(dGR,dGHS);	              %Gy(z)
  l=length([0:T:6]);          %Anzahl Elemente von dT
  [dg,dT]=step(dG,l);         %Sprungantwortfolge x(kT)
  subplot(210+i), plot(dT,dg,'o',dT,dg,'-') %x(kT) ausgeben
  title('\it{Dead-Beat-Sprungantwort}')
  text(5.2,0.25,['\it{T=}',num2str(T,2),'\it{ s}'])
  xlabel('\it{Zeit kT}')      %Beschriftung Abszisse
  ylabel('\it{y(kT), x(kT)}') %Beschriftung Ordinate
  axis([0 6 -1 1.5])          %Skalierung
  grid                        %kartesische Gitterlinien
  hold on                     %Kurve nicht berschreiben
  dy=step(dGy,l);             %y(kT)
  stairs(dT,dy)               %Treppenfunktion ausgeben
end
